### Method

# WebKit2 WebsiteDataManager clear

#### Declaration [src]

    void
    webkit_website_data_manager_clear (
      WebKitWebsiteDataManager* manager,
      WebKitWebsiteDataTypes types,
      GTimeSpan timespan,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously clear the website data of the given `types` modified in the past `timespan`.

If `timespan` is 0, all website data will be removed.

When the operation is finished, `callback` will be called. You can then call `webkit_website_data_manager_clear_finish()` to get the result of the operation.

Due to implementation limitations, this function does not currently delete any stored cookies if `timespan` is nonzero. This behavior may change in the future.

Available since: | 2.16

#### Parameters

`types` | `WebKitWebsiteDataTypes`
| `WebKitWebsiteDataTypes`.
`timespan` | `GTimeSpan`
| A `GTimeSpan`.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the request is satisfied.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.